/*
 * $Id: local.h,v 1.9 2003/06/17 21:40:51 david Exp $
 */

/*
 * This file is a sample local.h file.  It shows what I believe nearly every
 * site will want to include in their local.h.  You will probably want to
 * expand this file;  see "config.X" to learn of #defines that you might
 * like to add to.
 */

/*
 * $Log: local.h,v $
 * Revision 1.9  2003/06/17 21:40:51  david
 * moved changes from config.X and a few other places into local.h and rules
 *
 * Revision 1.8  2003/06/17 14:27:17  david
 * Added debian changes for version 3.1.20.0-1.6.
 *
 * Revision 1.7  2001/11/25 20:53:18  david
 * removed the 'HTSPECIAL' define, which caused ispell to rewrite input special
 * characters as &... html escape sequences. (closes a bug)
 *
 * Revision 1.6  2001/09/03 03:52:11  david
 * minor define changes required by html (and related) patches; undef NO8BIT, add HTMLwhatever.
 *
 * Revision 1.5  2000/02/12 06:20:56  david
 * trying EXTRADICT= since removing it entirely didn't work (for british without american words)
 *
 * Revision 1.4  2000/02/12 06:11:19  david
 * removed american-english wordlist from british dictionary, trying to
 * close two bugs about american words in british dictionary
 *
 * Revision 1.3  1999/10/25 01:45:15  david
 * (LANGUAGES): changed dict/words to dict/american-english to prevent screwups when words points someplace else
 *
 * Revision 1.2  1999/08/18 02:24:18  david
 * changed /usr/man to usr/share/man, usr/info to usr/share/info
 *
 * Revision 1.1  1999/07/20 20:33:01  david
 * Added all debian changes
 *
 * Revision 1.14  1995/01/08  23:23:56  geoff
 * Do some minor clarification of the instructional comments.
 *
 * Revision 1.13  1994/05/17  06:37:25  geoff
 * Add one more item of warning advice to the comments.
 *
 * Revision 1.12  1994/02/07  06:00:00  geoff
 * Add a warning about shell processing restrictions
 *
 * Revision 1.11  1994/01/25  07:11:50  geoff
 * Get rid of all old RCS log lines in preparation for the 3.1 release.
 *
 */

/*
 * WARNING WARNING WARNING
 *
 * This file is *NOT* a normal C header file!  Although it uses C
 * syntax and is included in C programs, it is also processed by shell
 * scripts that are very stupid about format.
 *
 * Do not try to use #if constructs to configure this file for more
 * than one configuration.  Do not place whitespace after the "#" in
 * "#define".  Do not attempt to disable lines by commenting them out.
 * Do not use backslashes to reduce the length of long lines.
 * None of these things will work the way you expect them to.
 *
 * WARNING WARNING WARNING
 */

#define MINIMENU	/* Display a mini-menu at the bottom of the screen */
#define USG		/* Define this on System V */
#define MASKBITS 64     /* Required by danish hash */

#define HAS_RENAME
#define INSTALL		"install"

#define CC "gcc"
#define CFLAGS "-O2 -s -g"
#define YACC	"yacc"
#define TERMLIB       "-lncurses"

#undef  NO8BIT

/*
 * Important directory paths
 */
#define BINDIR  "/usr/bin"
#define LIBDIR  "/usr/lib/ispell"
#define ELISPDIR "/usr/lib/emacs/site-lisp"
#define TEXINFODIR "/usr/share/info"
#define MAN1DIR "/usr/share/man/man1"
#define MAN5DIR "/usr/share/man/man5"
#define MAN5EXT ".5"

/*
 * Default language
 */

#define LANGUAGES "{british,MASTERDICTS=british.med+,HASHFILES=britishmed+.hash,EXTRADICT=/usr/share/dict/british-english} {american,MASTERDICTS=american.med+,HASHFILES=americanmed+.hash,EXTRADICT=/usr/share/dict/american-english}"
#define MASTERHASH    "britishmed+.hash"
#define DEFHASH "default.hash"
#define DEFLANG "default.aff"

#define WORDS	"/usr/share/dict/words"
#define MAXPATHLEN 4096
#define MAXNAMLEN 1024
#define MAXSTRINGCHARS 128

/*
 * Place any locally-required #include statements here
 */
